<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: constants.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('a00005.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">constants.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="a00005_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a3f62bc9dfe4ed891d6dacc9fe691e960" id="r_a3f62bc9dfe4ed891d6dacc9fe691e960"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a3f62bc9dfe4ed891d6dacc9fe691e960">EVENT_SCOPE_SIZE</a> = 8192</td></tr>
<tr class="memdesc:a3f62bc9dfe4ed891d6dacc9fe691e960"><td class="mdescLeft">&#160;</td><td class="mdescRight">The default size of an event scope in bytes, typically retrieved using the function <a class="el" href="a00002.html#a69a0a42f17334d881333876ca65b2033" title="Triggers and reads a signal trace from the DPP.">getEventScope()</a>.  <br /></td></tr>
<tr class="separator:a3f62bc9dfe4ed891d6dacc9fe691e960"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0375ed7c3e9d7ce47ef30a4d56e7063" id="r_aa0375ed7c3e9d7ce47ef30a4d56e7063"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa0375ed7c3e9d7ce47ef30a4d56e7063">ALL_PARAMETERS_SIZE</a> = 1024</td></tr>
<tr class="memdesc:aa0375ed7c3e9d7ce47ef30a4d56e7063"><td class="mdescLeft">&#160;</td><td class="mdescRight">The default size of an "all parameters"-array in bytes, typically retrieved using the function <a class="el" href="a00002.html#a185d765f8a42c62f69cd8a0fca16da01" title="Reads all 256 DPP parameters simultaneously into an array.">getAllParameters()</a>.  <br /></td></tr>
<tr class="separator:aa0375ed7c3e9d7ce47ef30a4d56e7063"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ce240c1d15e9df1783c0638bc0bf417" id="r_a0ce240c1d15e9df1783c0638bc0bf417"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0ce240c1d15e9df1783c0638bc0bf417">FIRMWARE_SECTION_SIZE</a> = 1024</td></tr>
<tr class="memdesc:a0ce240c1d15e9df1783c0638bc0bf417"><td class="mdescLeft">&#160;</td><td class="mdescRight">The size of a firmware section, typically used by the function <a class="el" href="a00002.html#a67b4700d893dce6e7aa7032b279d2e0a" title="Writes a section of firmware data in the given segment number of the DPP configuration memory.">writeFirmwareSection()</a>.  <br /></td></tr>
<tr class="separator:a0ce240c1d15e9df1783c0638bc0bf417"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="aa0375ed7c3e9d7ce47ef30a4d56e7063" name="aa0375ed7c3e9d7ce47ef30a4d56e7063"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0375ed7c3e9d7ce47ef30a4d56e7063">&#9670;&#160;</a></span>ALL_PARAMETERS_SIZE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a> ALL_PARAMETERS_SIZE = 1024</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The default size of an "all parameters"-array in bytes, typically retrieved using the function <a class="el" href="a00002.html#a185d765f8a42c62f69cd8a0fca16da01" title="Reads all 256 DPP parameters simultaneously into an array.">getAllParameters()</a>. </p>

</div>
</div>
<a id="a3f62bc9dfe4ed891d6dacc9fe691e960" name="a3f62bc9dfe4ed891d6dacc9fe691e960"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f62bc9dfe4ed891d6dacc9fe691e960">&#9670;&#160;</a></span>EVENT_SCOPE_SIZE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a> EVENT_SCOPE_SIZE = 8192</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The default size of an event scope in bytes, typically retrieved using the function <a class="el" href="a00002.html#a69a0a42f17334d881333876ca65b2033" title="Triggers and reads a signal trace from the DPP.">getEventScope()</a>. </p>

</div>
</div>
<a id="a0ce240c1d15e9df1783c0638bc0bf417" name="a0ce240c1d15e9df1783c0638bc0bf417"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ce240c1d15e9df1783c0638bc0bf417">&#9670;&#160;</a></span>FIRMWARE_SECTION_SIZE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a> FIRMWARE_SECTION_SIZE = 1024</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The size of a firmware section, typically used by the function <a class="el" href="a00002.html#a67b4700d893dce6e7aa7032b279d2e0a" title="Writes a section of firmware data in the given segment number of the DPP configuration memory.">writeFirmwareSection()</a>. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_fe06972e53893249adce5a50c45e9385.html">impl</a></li><li class="navelem"><a class="el" href="dir_be24af3b036aa4b3bfccb0b5b265ec43.html">VicoLib</a></li><li class="navelem"><a class="el" href="dir_17da06094344a942cf65018f35dcca64.html">impl</a></li><li class="navelem"><a class="el" href="a00005.html">constants.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
